Skip to content

Create an organization

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the document description is incorrect, please refer to V3 API.

Create an organization, which will create an organization with only one node. You can choose the organization description information, root node custom ID, multi-language, etc.

Method name

ManagementClient.createOrganization

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
metadataobjectyes-Metadata information
organizationNamestringyes-Organization namesteam memory
organizationCodestringyes-Organization codesteamory
descriptionstringno-Organization descriptionOrganization description
openDepartmentIdstringno-Root node custom ID60b49eb83fd80adb96f26e68
i18n<a OrganizationNameI18nDtoNo-Multi-language settings{"organizationName":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
tenantIdstringNo-Tenant ID623c20b2a062aaaaf41b17da
postIdListstring[]No-Post id list["xxx"]

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.createOrganization({
    // Replace organization Code
    organizationCode: "steamory",
    organizationName: "Steam Memory",
    description: "Organization Description Information",
    i18n: {
      organizationName: {
        "zh-CN": {
          enabled: false,
          value: "Chinese Name",
        },
        "en-US": {
          enabled: false,
          value: "English",
        },
        "zh-TW": {
          enabled: false,
          value: "zh-TW",
        },
        "ja-JP": {
          enabled: false,
          value: "ja-JP",
        },
      },
    },
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request Response

Type: OrganizationSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a OrganizationDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "organizationCode": "steamory",
    "organizationName": "Steam Memory",
    "description": "Organization description information",
    "createdAt": "2022-07-03T03:20:30.000Z",
    "updatedAt": "2022-07-03T03:20:30.000Z",
    "departmentId": "60b49eb83fd80adb96f26e68",
    "openDepartmentId": "60b49eb83fd80adb96f26e68",
    "hasChildren": true,
    "leaderUserIds": "[\"60b49eb83fd80adb96f26e68\"]",
    "membersCount": 150,
    "i18n": {
      "organizationName": {
        "zh-CN": { "enabled": false, "value": "Chinese" },
        "en-US": { "enabled": false, "value": "English" }
      }
    },
    "customData": { "icon": "https://example.com/logo" },
    "tenantId": "623c20b2a062aaaaf41b17da",
    "postIdList": "[\"xxx\"]",
    "status": "false",
    "allow": "[\"xxx\"]"
  }
}

Data structure

OrganizationNameI18nDto

NameTypeIs it requiredDescriptionSample value
organizationNameYesMulti-language support field Nested type: <a LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

LangObject

NameTypeIs it required?DescriptionSample value
zh-CNYesMultilingual Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: <a LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nesting type: <a LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nesting type: <a LangUnit.{"enabled":false,"value":"日本語"}

LangUnit

NameTypeIs it required?DescriptionSample value
enabledbooleanyesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off)
valuestringyesMultilingual content

OrganizationDto

NameTypeIs it required?DescriptionSample value
organizationCodestringyesorganization codesteamory
organizationNamestringyesorganization namesteam memory
descriptionstringnoorganization descriptionorganization description
createdAtstringnocreation time2022-07-03T03:20:30.000Z
updatedAtstringnomodification time2022-07-03T03:20:30.000Z
departmentIdstringyesroot node ID60b49eb83fd80adb96f26e68
openDepartmentIdstringnoroot node custom ID60b49eb83fd80adb96f26e68
hasChildrenbooleanyeswhether to include child nodestrue
leaderUserIdsarraynodepartment leader ID["60b49eb83fd80adb96f26e68"]
membersCountnumberyesnumber of department members150
isVirtualNodebooleanyeswhether it is a virtual department
i18nnomulti-language settings Nested type: <a OrganizationNameI18nDto.{"organizationName":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
customDataobjectNoExtended field data of department{"icon":"https://example.com/logo"}
tenantIdstringNoTenant ID623c20b2a062aaaaf41b17da
postIdListarrayNoPost id list["xxx"]
statusstringNoStatusfalse
allowstringNoAccess restriction["xxx"]

OrganizationNameI18nDto

NameTypeIs it requiredDescriptionSample value
organizationNameYesMulti-language-supported fields Nested type: <a LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

LangObject

NameTypeIs it required?DescriptionSample value
zh-CNYesMultilingual Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: <a LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nesting type: <a LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nesting type: <a LangUnit.{"enabled":false,"value":"日本語"}

LangUnit

NameTypeIs it required?DescriptionSample value
enabledbooleanyesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off)
valuestringyesMultilingual content

Agent infrastructure for identity, memory, and web action.